var user_block = '#block-user-1';
var breadcrumb = '#breadcrumb';
var admin_panel = '#content .admin-panel';
var create_content_menu_id = 'create-content';
var administer_menu_id = 'administer';

$(document).ready(function(){
  // Highlight breadcrumb item on hover
  $(breadcrumb + ' li').hover(
    function(){
      $(this).addClass('active');
      $(breadcrumb + ' li.active ~ li').addClass('inactive');
    },
    function(){
      $(breadcrumb + ' li').removeClass();
    }
  );
  
  // Sidebar menu
  $('#sidebar > .block-menu > .menu > li:first').attr('id', create_content_menu_id);
  $('#sidebar > .block-menu > .menu > li:first > a').addClass(create_content_menu_id);
  $('#sidebar > .block-menu > .menu > li:last').attr('id', administer_menu_id);
  $('#sidebar > .block-menu > .menu > li:last > a').addClass(administer_menu_id);
  
  var create_content_menu = '#' + create_content_menu_id;
  var administer_menu = '#' + administer_menu_id;
  
  $(create_content_menu + ' ul').hide();
  $(administer_menu).addClass('open');
  
  $(create_content_menu + ' a:first').click(function(){
    $(administer_menu).removeClass('open');
    $(administer_menu + ' ul').hide();
    $(create_content_menu).addClass('open');
    $(create_content_menu + ' ul').show();
    
    return false;
  });
  
  $(administer_menu + ' a:first').click(function(){
    $(create_content_menu).removeClass('open');
    $(create_content_menu + ' ul').hide();
    $(administer_menu).addClass('open');
    $(administer_menu + ' ul').show();
    
    return false;
  });
  
  // Don't float a form field's label if it's too wide.
  $('label').each(function(){
    if ($(this).width() > 140) {
      $(this).css({ float: 'none' });
    }
  });
  
  // Crop big text fields if browser window is not wide enough.
  if ($('body').width() < 1200) {
    $(':text').each(function(){
      if ($(this).attr('size') > 59) {
        $(this).css({ width: '95%' });
      }
    });
  }
  
  // Admin panel descriptions.
  var active_panel_item = '';
  var admin_panel_timer = 0;
  var active_panel = '';
  var pos = '';
  
  $(admin_panel + ' dt').hover(
    function(){
      active_panel_item = $(this).next();
      
      if ( ! active_panel_item.is(':visible')) {
        $(admin_panel + ' dd:visible').hide();
        $(admin_panel + ' dl.panel-description').removeClass('panel-description').css({ paddingTop: '0' });
        active_panel_item.show();
      }
      
      active_panel = $(this).parent();
      
      if ( ! active_panel.is('.panel-description')) {
        active_panel.addClass('panel-description').css({ paddingTop: (active_panel_item.height() + 15) + 'px' });
      }
      
      clearTimeout(admin_panel_timer);
    },
    function(){
      admin_panel_timer = setTimeout(function(){
        active_panel_item.hide();
        active_panel.removeClass('panel-description').css({ paddingTop: '0' });
      }, 2000);
    }
  );
});