<?php
function fruity_regions() {
  return array(
       'sidebar' => t('admin sidebar'),
       'content' => t('content')
  );
}

/**
 * Customized breadcrumb
 */
function phptemplate_breadcrumb($breadcrumb) {
  if ($breadcrumb) {
    $first_crumb = TRUE;
    $crumbs = array();
    
    foreach ($breadcrumb as $crumb) {
      if ($first_crumb) {
        $first_crumb = FALSE;
      } else {
        $crumbs[] = '<li>' . $crumb . '</li>';
      }
    }
    
    if (count($crumbs) > 0) {
      return '<ul id="breadcrumb">' . join("\n", $crumbs) . '</ul>';
    }
  }
}

/**
 * Add stylesheets.
 */
drupal_add_css(path_to_theme() . '/stylesheets/forms.css', 'theme', 'all', TRUE);
drupal_add_css(path_to_theme() . '/stylesheets/blocks.css', 'theme', 'all', TRUE);
drupal_add_css(path_to_theme() . '/stylesheets/admin.css', 'theme', 'all', TRUE);

/**
 * Add 'user' stylesheet when logging in.
 */
function fruity_user_login() {
  global $user;
  
  if (arg(0) == 'user' && !$user->uid) {
    drupal_add_css(path_to_theme() . '/stylesheets/user.css', 'theme', 'all', FALSE);
  }
}

/**
 * Add 'user' stylesheet when registering.
 */
function fruity_user_register() {
  global $user;
  
  if (!$user->uid) {
    drupal_add_css(path_to_theme() . '/stylesheets/user.css', 'theme', 'all', FALSE);
  }
}

/**
 * Add 'user' stylesheet when resetting password.
 */
function fruity_user_pass() {
  global $user;
  
  if (!$user->uid) {
    drupal_add_css(path_to_theme() . '/stylesheets/user.css', 'theme', 'all', FALSE);
  }
}

/**
 * Add Javascript.
 */
drupal_add_js(path_to_theme() . '/scripts/theme.js', 'theme', 'header', FALSE, TRUE);